#
# $Id: Makefile.cygwin,v 1.7 2005/05/11 08:31:16 olafs Exp $
#

TOP = ../../..
include $(TOP)/Makefile.cygwin.include

CFLAGS += -DNMRTS -DRTS

OBJS = rts.o rtsio.o rtsopt.o rtscode.o rtsagfl.o \
       rtslex.o rtstime.o rtsesc.o regex.o pattern.o \
       rtstrelinp.o dfa.o getopt.o

libnmrts.a: $(OBJS)
	ar rv $@ $(OBJS)
	ranlib $@
	cp $@ $(TOP)/agfl-binary/lib

# This is a very sloppy dependency:
%.c:
	cp ../*.c .
	cp ../*.h .
	cp ../../src/pattern.c ../../src/pattern.h . 
	cp ../../src/dfa.c ../../src/dfa.h .
	cp ../../src/regex.c ../../src/regex.h .

clean:
	rm -f *.o
	rm -f *.a
